Bug 1031527 - Review Request: datefudge - fakes the system date/time
Review Request: datefudge - fakes the system date/time
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 03:16 EST by Nikos Mavrogiannopoulos
Modified: 2013-12-13 22:04 EST (History)
3 users (show)

See Also:
Fixed In Version: datefudge-1.18-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 04:31:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nikos Mavrogiannopoulos 2013-11-18 03:16:19 EST
Spec URL: http://people.redhat.com/nmavrogi/fedora/datefudge.spec
SRPM URL: http://people.redhat.com/nmavrogi/fedora/datefudge-1.18-1.fc20.src.rpm

Description: This program (and preload library) fakes the system date so that programs think the wall clock is ... different. The faking is not complete; time-stamp on files are not affected in any way. This package is useful if you want to test the date handling of your programs without changing the system clock. This is particularly useful when checking the handling of programs
of certificate expiration/activation etc.

Fedora Account System Username: nmav
Comment 1 Christopher Meng 2013-11-18 03:30:44 EST
First, do you want to support EL5?
Comment 2 Nikos Mavrogiannopoulos 2013-11-18 03:56:22 EST
Hello,
 I really don't know. Is there a reason for not supporting it?
Comment 3 Christopher Meng 2013-11-18 06:35:23 EST
(In reply to Nikos Mavrogiannopoulos from comment #2)
> Hello,
>  I really don't know. Is there a reason for not supporting it?

I don't know, but if you don't want to support EL5, you need to remove some lines as modern RPM doesn't need these lines.

I don't know which os you are using, but I don't think we need to care about EL5.(Just my opinion)

Waiting for your final answer.
Comment 4 Nikos Mavrogiannopoulos 2013-11-18 06:50:55 EST
I have no particular reason to support EL5, so indeed I should drop anything unneeded.
Comment 5 Christopher Meng 2013-11-18 07:23:13 EST
Ok.

So:

1. Remove these:

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

rm -rf %{buildroot} in %install

Whole %clean

%defattr(-,root,root,-)

2. URL better use PTS page:

http://packages.qa.debian.org/d/datefudge.html

3. Source0 better use CDN:

http://cdn.debian.net/debian/pool/main/d/datefudge/datefudge_1.18.tar.gz

with macro replaced, too.

4. I checked your patch.

INSTALL_PROGRAM := "install" should also be patched to 

INSTALL_PROGRAM := "install -p"

5. $(CFLAGS) should be inserted with %{optflags}:

http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

You can define cflags like make CFLAGS="%{optflags}"

And $(LDFLAGS) also should be defined with %{__global_ldflags}
Comment 6 Nikos Mavrogiannopoulos 2013-11-18 08:04:26 EST
Thanks. It's now updated based on your comments. I've uploaded a -2 version.
Comment 7 Christopher Meng 2013-11-18 08:26:26 EST
Please paste the new URL.
Comment 8 Nikos Mavrogiannopoulos 2013-11-18 08:31:07 EST
(In reply to Christopher Meng from comment #7)
> Please paste the new URL.

Spec URL: http://people.redhat.com/nmavrogi/fedora/datefudge.spec
SRPM URL: http://people.redhat.com/nmavrogi/fedora/datefudge-1.18-2.fc20.src.rpm
Comment 9 Christopher Meng 2013-11-19 04:58:36 EST
datefudge.i686: E: incorrect-fsf-address /usr/share/doc/datefudge/COPYING

Please notify upstream about this.

-------------

PACKAGE APPROVED.
Comment 10 Nikos Mavrogiannopoulos 2013-11-19 05:32:12 EST
New Package SCM Request
=======================
Package Name: datefudge
Short Description: fakes the system date/time
Owners: nmav
Branches: f19 f20
Comment 11 Nikos Mavrogiannopoulos 2013-11-19 05:34:54 EST
(In reply to Christopher Meng from comment #9)
> datefudge.i686: E: incorrect-fsf-address /usr/share/doc/datefudge/COPYING
> 
> Please notify upstream about this.
> 
> -------------
> 
> PACKAGE APPROVED.

Notified, thanks.
Comment 12 Gwyn Ciesla 2013-11-19 08:11:57 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-11-19 08:45:47 EST
datefudge-1.18-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/datefudge-1.18-2.fc20
Comment 14 Fedora Update System 2013-11-19 08:46:29 EST
datefudge-1.18-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/datefudge-1.18-2.fc19
Comment 15 Fedora Update System 2013-11-19 16:54:03 EST
datefudge-1.18-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 16 Fedora Update System 2013-12-01 04:31:17 EST
datefudge-1.18-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-12-13 22:04:02 EST
datefudge-1.18-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.